TextGap 属性 (ActiveX)
指定在分割尺寸线以容纳尺寸文本时尺寸文本与尺寸线之间的距离。 支持的平台:仅限 Windows 签名VBA: object.TextGap 属性值只读:不 类型:双 指定间隙距离的实数。 言论此属性还设置对象上的批注和挂钩线之间的间隙。Leader 负值创建基本尺寸标注(文本周围带有框的尺寸文本)。 注意:此属性将覆盖给定维度的 DIMGAP 系统变量的值。
例子VBA: Sub Example_TextGap() ' This example creates an aligned dimension in model space and ' uses the TextGap property to increase the distance between the ' dimension line and the dimension text Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current dimension gap MsgBox "The dimension gap for this object is currently set to: " & dimObj.TextGap ' Increase the distance of the dimension gap dimObj.TextGap = 0.5 ThisDrawing.Regen acAllViewports ' Read and display current dimension gap MsgBox "The dimension gap for this object is now set to: " & dimObj.TextGap End Sub 可视化 LISP: (vl-load-com) (defun c:Example_TextGap() ;; This example creates an aligned dimension in model space and ;; uses the TextGap property to increase the distance between the ;; dimension line and the dimension text (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Read and display current dimension gap (alert (strcat "The dimension gap for this object is currently set to: " (rtos (vla-get-TextGap dimObj) 2))) ;; Increase the distance of the dimension gap (vla-put-TextGap dimObj 0.5) (vla-Regen doc acAllViewports) ;; Read and display current dimension gap (alert (strcat "The dimension gap for this object is now set to: " (rtos (vla-get-TextGap dimObj) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:28
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.